BUS_ACTIVATE_RESOURCE(9)

NAME
bus_activate_resource, bus_deactivate_resource - activate or deactivate a resource

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>

#include <machine/bus.h>
#include <sys/rman.h>
#include <machine/resource.h>
int
bus_activate_resource(device_t dev, int type, int rid, struct resource *r);
int
bus_deactivate_resource(device_t dev, int type, int rid, struct resource *r);

DESCRIPTION
These functions activate or deactivate a previously allocated resource. In general, resources must be activated before they can be accessed by the driver so that the bus driver can map the resource into the devices space.

The arguments are as follows:

dev The device that requests ownership of the resource. Before allocation, the resource is owned by the parent bus.

type
    The type of resource you want to allocate. It is one of:

    SYS_RES_IRQ
        for IRQs
    SYS_RES_DRQ
        for ISA DMA lines
    SYS_RES_IOPORT
        for I/O ports
    SYS_RES_MEMORY
        for I/O memory

rid A pointer to a bus specific handle that identifies the resource being allocated.

r   A pointer to the struct resource returned by bus_alloc_resource(9).

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
bus_alloc_resource(9), device(9), driver(9)

AUTHORS
This manual page was written by Warner Losh <imp@FreeBSD.org>.